% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/lambda_operations.R
\name{lambda_get_function_configuration}
\alias{lambda_get_function_configuration}
\title{Returns the version-specific settings of a Lambda function or version}
\usage{
lambda_get_function_configuration(FunctionName, Qualifier)
}
\arguments{
\item{FunctionName}{[required] The name of the Lambda function, version, or alias.

\strong{Name formats}
\itemize{
\item \strong{Function name} - \code{my-function} (name-only), \code{my-function:v1}
(with alias).
\item \strong{Function ARN} -
\code{arn:aws:lambda:us-west-2:123456789012:function:my-function}.
\item \strong{Partial ARN} - \code{123456789012:function:my-function}.
}

You can append a version number or alias to any of the formats. The
length constraint applies only to the full ARN. If you specify only the
function name, it is limited to 64 characters in length.}

\item{Qualifier}{Specify a version or alias to get details about a published version of
the function.}
}
\description{
Returns the version-specific settings of a Lambda function or version.
The output includes only options that can vary between versions of a
function. To modify these settings, use UpdateFunctionConfiguration.
}
\details{
To get all of a function's details, including function-level settings,
use GetFunction.
}
\section{Request syntax}{
\preformatted{svc$get_function_configuration(
  FunctionName = "string",
  Qualifier = "string"
)
}
}

\examples{
# This operation retrieves a Lambda function's event source mapping
\donttest{svc$get_function_configuration(
  FunctionName = "myFunction",
  Qualifier = "1"
)}

}
\keyword{internal}
